diff --git a/gst-libs/gst/vulkan/meson.build b/gst-libs/gst/vulkan/meson.build
index cb719bd..56c0737 100644
--- a/gst-libs/gst/vulkan/meson.build
+++ b/gst-libs/gst/vulkan/meson.build
@@ -379,7 +379,7 @@ gstvulkan = library('gstvulkan-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, vulkan_dep] + optional_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, vulkan_dep] + optional_deps,
   # don't confuse gst/vulkan/xcb/xcb.h with xcb/xcb.h
   implicit_include_directories : false)
 
@@ -426,7 +426,7 @@ gst_libraries += [[pkg_name, library_def]]
 gstvulkan_dep = declare_dependency(link_with : gstvulkan,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstvideo_dep, gstbase_dep, vulkan_dep] + optional_deps)
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, vulkan_dep] + optional_deps)
 
 meson.override_dependency(pkg_name, gstvulkan_dep)
 
@@ -462,7 +462,7 @@ if enabled_vulkan_winsys.contains('xcb')
     gir += {'includes' :['Gst-1.0', 'GstBase-1.0', 'GstVideo-1.0', 'GstVulkan-1.0'] + extra_gir_includes}
     library_def += {'gir':  library_def['gir'] + [gir]}
   endif
-  gstvulkanxcb_dep = declare_dependency(dependencies : [gstvulkan_dep],
+  gstvulkanxcb_dep = declare_dependency(dependencies : [glib_dep, gobject_dep, gstvulkan_dep],
       sources : vulkan_xcb_gir)
   meson.override_dependency('gstreamer-vulkan-xcb-1.0', gstvulkanxcb_dep)
 endif
@@ -497,7 +497,7 @@ if enabled_vulkan_winsys.contains('wayland')
     gir += {'includes' :['Gst-1.0', 'GstBase-1.0', 'GstVideo-1.0', 'GstVulkan-1.0'] + extra_gir_includes}
     library_def += {'gir':  library_def['gir'] + [gir]}
   endif
-  gstvulkanwayland_dep = declare_dependency(dependencies : [gstvulkan_dep],
+  gstvulkanwayland_dep = declare_dependency(dependencies : [glib_dep, gobject_dep, gstvulkan_dep],
       sources : vulkan_wayland_gir)
   meson.override_dependency('gstreamer-vulkan-wayland-1.0', gstvulkanwayland_dep)
 endif
diff --git a/gst-libs/gst/wayland/meson.build b/gst-libs/gst/wayland/meson.build
index 75251db..74f23d4 100644
--- a/gst-libs/gst/wayland/meson.build
+++ b/gst-libs/gst/wayland/meson.build
@@ -98,7 +98,7 @@ if use_wayland
     soversion : soversion,
     darwin_versions : osxversion,
     install : true,
-    dependencies : [gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
                     wl_client_dep]
   )
 
@@ -114,7 +114,7 @@ if use_wayland
 
   gstwayland_dep = declare_dependency(link_with : gstwayland,
     include_directories : [libsinc],
-    dependencies : [gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
                     wl_client_dep])
 
   install_headers(wl_headers, subdir: 'gstreamer-1.0/gst/wayland')
diff --git a/gst-libs/gst/webrtc/nice/meson.build b/gst-libs/gst/webrtc/nice/meson.build
index 6f9c94a..c3adcbb 100644
--- a/gst-libs/gst/webrtc/nice/meson.build
+++ b/gst-libs/gst/webrtc/nice/meson.build
@@ -47,7 +47,7 @@ if libnice_dep.found()
   )
 
   libgstwebrtcnice_dep = declare_dependency(link_with: libgstwebrtcnice,
-    dependencies: [deps])
+    dependencies : [glib_dep, gobject_dep, deps])
 
   install_headers(libgstwebrtcnice_headers, subdir : 'gstreamer-1.0/gst/webrtc/nice')
   meson.override_dependency(pkg_name, libgstwebrtcnice_dep)
diff --git a/gst-libs/gst/winrt/meson.build b/gst-libs/gst/winrt/meson.build
index d373709..df75dea 100644
--- a/gst-libs/gst/winrt/meson.build
+++ b/gst-libs/gst/winrt/meson.build
@@ -78,10 +78,10 @@ gstwinrt = library('gstwinrt-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep, runtimeobject_lib]
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, runtimeobject_lib]
 )
 
 # Still non-public api, should not install headers
 gstwinrt_dep = declare_dependency(link_with : gstwinrt,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, runtimeobject_lib])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, runtimeobject_lib])
diff --git a/gst/accurip/meson.build b/gst/accurip/meson.build
index 454d752..08d225a 100644
--- a/gst/accurip/meson.build
+++ b/gst/accurip/meson.build
@@ -6,7 +6,7 @@ gstaccurip = library('gstaccurip',
   accurip_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/adpcmdec/meson.build b/gst/adpcmdec/meson.build
index aec0976..521f2de 100644
--- a/gst/adpcmdec/meson.build
+++ b/gst/adpcmdec/meson.build
@@ -6,7 +6,7 @@ gstadpcmdec = library('gstadpcmdec',
   adpcmdec_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/adpcmenc/meson.build b/gst/adpcmenc/meson.build
index 2fbe599..81f8ad3 100644
--- a/gst/adpcmenc/meson.build
+++ b/gst/adpcmenc/meson.build
@@ -6,7 +6,7 @@ gstadpcmenc = library('gstadpcmenc',
   gstadpcmenc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/aiff/meson.build b/gst/aiff/meson.build
index 805265d..5107a47 100644
--- a/gst/aiff/meson.build
+++ b/gst/aiff/meson.build
@@ -6,7 +6,7 @@ gstaiff = library('gstaiff',
   aiff_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gsttag_dep, gstaudio_dep, gstpbutils_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep, gstaudio_dep, gstpbutils_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/asfmux/meson.build b/gst/asfmux/meson.build
index a5eb0f2..1854a07 100644
--- a/gst/asfmux/meson.build
+++ b/gst/asfmux/meson.build
@@ -10,7 +10,7 @@ gstasfmux = library('gstasfmux',
   asfmux_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstrtp_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstrtp_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiobuffersplit/meson.build b/gst/audiobuffersplit/meson.build
index ab6fbe0..e31de01 100644
--- a/gst/audiobuffersplit/meson.build
+++ b/gst/audiobuffersplit/meson.build
@@ -6,7 +6,7 @@ gstaudiobuffersplit = library('gstaudiobuffersplit',
   audiobuffersplit_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiofxbad/meson.build b/gst/audiofxbad/meson.build
index c836fd4..b3e998f 100644
--- a/gst/audiofxbad/meson.build
+++ b/gst/audiofxbad/meson.build
@@ -7,7 +7,7 @@ gstaudiofxbad = library('gstaudiofxbad',
   audiofxbad_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiolatency/meson.build b/gst/audiolatency/meson.build
index f9406cb..8d2dcb6 100644
--- a/gst/audiolatency/meson.build
+++ b/gst/audiolatency/meson.build
@@ -2,7 +2,7 @@ gstaudiolatency = library('gstaudiolatency',
   'gstaudiolatency.c',
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiomixmatrix/meson.build b/gst/audiomixmatrix/meson.build
index 93ddb47..8c4f169 100644
--- a/gst/audiomixmatrix/meson.build
+++ b/gst/audiomixmatrix/meson.build
@@ -6,7 +6,7 @@ gstaudiomixmatrix = library('gstaudiomixmatrix',
   audiomixmatrix_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiovisualizers/meson.build b/gst/audiovisualizers/meson.build
index 3130dbf..e4d75e5 100644
--- a/gst/audiovisualizers/meson.build
+++ b/gst/audiovisualizers/meson.build
@@ -10,7 +10,7 @@ gstaudiovisualizers = library('gstaudiovisualizers',
   audiovis_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep, gstfft_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep, gstfft_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/autoconvert/meson.build b/gst/autoconvert/meson.build
index e8f1821..8aaba35 100644
--- a/gst/autoconvert/meson.build
+++ b/gst/autoconvert/meson.build
@@ -12,7 +12,7 @@ gstautoconvert = library('gstautoconvert',
   autocon_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstpbutils_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/bayer/meson.build b/gst/bayer/meson.build
index 092d9f6..25be382 100644
--- a/gst/bayer/meson.build
+++ b/gst/bayer/meson.build
@@ -28,7 +28,7 @@ gstbayer = library('gstbayer',
   bayer_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep, orc_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, orc_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/camerabin2/meson.build b/gst/camerabin2/meson.build
index 7730df3..894120c 100644
--- a/gst/camerabin2/meson.build
+++ b/gst/camerabin2/meson.build
@@ -12,7 +12,7 @@ gstcamerabin = library('gstcamerabin',
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc, libsinc],
   link_with : gstbasecamerabin,
-  dependencies : [gstbasecamerabin_dep, gstphotography_dep, gsttag_dep, gstapp_dep, gstpbutils_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbasecamerabin_dep, gstphotography_dep, gsttag_dep, gstapp_dep, gstpbutils_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/codecalpha/meson.build b/gst/codecalpha/meson.build
index 6e85358..23141fe 100644
--- a/gst/codecalpha/meson.build
+++ b/gst/codecalpha/meson.build
@@ -11,7 +11,7 @@ gstcodecalpha = library('gstcodecalpha',
   codecalpha_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstpbutils_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/codectimestamper/meson.build b/gst/codectimestamper/meson.build
index fe2abb0..45719e2 100644
--- a/gst/codectimestamper/meson.build
+++ b/gst/codectimestamper/meson.build
@@ -9,7 +9,7 @@ gstcodectimestamper = library('gstcodectimestamper',
   codectimestamper_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstcodecparsers_dep, gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstcodecparsers_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/coloreffects/meson.build b/gst/coloreffects/meson.build
index f2b52af..8032210 100644
--- a/gst/coloreffects/meson.build
+++ b/gst/coloreffects/meson.build
@@ -8,7 +8,7 @@ gstcoloreffects = library('gstcoloreffects',
   coloreffects_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/debugutils/meson.build b/gst/debugutils/meson.build
index 900c65d..85a3264 100644
--- a/gst/debugutils/meson.build
+++ b/gst/debugutils/meson.build
@@ -19,7 +19,7 @@ gstdebugutilsbad = library('gstdebugutilsbad',
   debugutilsbad_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstnet_dep, gstaudio_dep, gio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstnet_dep, gstaudio_dep, gio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/dvbsubenc/meson.build b/gst/dvbsubenc/meson.build
index 125a25a..9719106 100644
--- a/gst/dvbsubenc/meson.build
+++ b/gst/dvbsubenc/meson.build
@@ -22,7 +22,7 @@ gstdvbsubenc = library('gstdvbsubenc',
   subenc_sources + libimagequant_sources,
   c_args : gst_plugins_bad_args + local_c_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/dvbsuboverlay/meson.build b/gst/dvbsuboverlay/meson.build
index 7940b5f..4871e96 100644
--- a/gst/dvbsuboverlay/meson.build
+++ b/gst/dvbsuboverlay/meson.build
@@ -7,7 +7,7 @@ gstdvbsuboverlay = library('gstdvbsuboverlay',
   subover_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/dvdspu/meson.build b/gst/dvdspu/meson.build
index 04aa3cc..f4c424f 100644
--- a/gst/dvdspu/meson.build
+++ b/gst/dvdspu/meson.build
@@ -9,7 +9,7 @@ gstdvdspu = library('gstdvdspu',
   dvdspu_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/faceoverlay/meson.build b/gst/faceoverlay/meson.build
index e5ff9c3..7d670ce 100644
--- a/gst/faceoverlay/meson.build
+++ b/gst/faceoverlay/meson.build
@@ -6,7 +6,7 @@ gstfaceoverlay = library('gstfaceoverlay',
   fover_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/festival/meson.build b/gst/festival/meson.build
index d71264c..98ada86 100644
--- a/gst/festival/meson.build
+++ b/gst/festival/meson.build
@@ -6,7 +6,7 @@ gstfestival = library('gstfestival',
   festival_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep] + winsock2 + network_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep] + winsock2 + network_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/fieldanalysis/meson.build b/gst/fieldanalysis/meson.build
index 992982e..f76db3f 100644
--- a/gst/fieldanalysis/meson.build
+++ b/gst/fieldanalysis/meson.build
@@ -26,7 +26,7 @@ gstfieldanalysis = library('gstfieldanalysis',
   fielda_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, orc_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, orc_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/freeverb/meson.build b/gst/freeverb/meson.build
index 97545ed..208804c 100644
--- a/gst/freeverb/meson.build
+++ b/gst/freeverb/meson.build
@@ -6,7 +6,7 @@ gstfreeverb = library('gstfreeverb',
   freeverb_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/frei0r/meson.build b/gst/frei0r/meson.build
index d830fff..c061b6c 100644
--- a/gst/frei0r/meson.build
+++ b/gst/frei0r/meson.build
@@ -9,7 +9,7 @@ gstfrei0r = library('gstfrei0r',
   frei0r_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gmodule_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gmodule_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/gaudieffects/meson.build b/gst/gaudieffects/meson.build
index d46628e..c6254fa 100644
--- a/gst/gaudieffects/meson.build
+++ b/gst/gaudieffects/meson.build
@@ -33,7 +33,7 @@ gstgaudioeffects = library('gstgaudieffects',
   gaudio_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, orc_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, orc_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/gdp/meson.build b/gst/gdp/meson.build
index 0dcc195..ea14133 100644
--- a/gst/gdp/meson.build
+++ b/gst/gdp/meson.build
@@ -10,7 +10,7 @@ gstdgp = library('gstgdp',
   gdp_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/geometrictransform/meson.build b/gst/geometrictransform/meson.build
index 3ad8eee..9255fc3 100644
--- a/gst/geometrictransform/meson.build
+++ b/gst/geometrictransform/meson.build
@@ -25,7 +25,7 @@ gstgeometrictransform = library('gstgeometrictransform',
   geotr_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/id3tag/meson.build b/gst/id3tag/meson.build
index 6186865..c763dcb 100644
--- a/gst/id3tag/meson.build
+++ b/gst/id3tag/meson.build
@@ -7,7 +7,7 @@ gstid3tag = library('gstid3tag',
   id3_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gsttag_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/insertbin/meson.build b/gst/insertbin/meson.build
index 1c8be39..09b0db2 100644
--- a/gst/insertbin/meson.build
+++ b/gst/insertbin/meson.build
@@ -6,7 +6,7 @@ gstinsertbin = library('gstinsertbin',
   insertbin_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gst_dep, gstinsertbin_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstinsertbin_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/inter/meson.build b/gst/inter/meson.build
index fdc8f79..d75a46e 100644
--- a/gst/inter/meson.build
+++ b/gst/inter/meson.build
@@ -13,7 +13,7 @@ gstinter = library('gstinter',
   inter_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstaudio_dep, gstvideo_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstvideo_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/interlace/meson.build b/gst/interlace/meson.build
index 7919b83..60c84a7 100644
--- a/gst/interlace/meson.build
+++ b/gst/interlace/meson.build
@@ -6,7 +6,7 @@ gstinterlace = library('gstinterlace',
   interlace_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/ivfparse/meson.build b/gst/ivfparse/meson.build
index fe64f06..a787612 100644
--- a/gst/ivfparse/meson.build
+++ b/gst/ivfparse/meson.build
@@ -6,7 +6,7 @@ gstivfparse = library('gstivfparse',
   ivfparse_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/ivtc/meson.build b/gst/ivtc/meson.build
index 33f4b2d..528cfff 100644
--- a/gst/ivtc/meson.build
+++ b/gst/ivtc/meson.build
@@ -7,7 +7,7 @@ gstivtc = library('gstivtc',
   ivtc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/jp2kdecimator/meson.build b/gst/jp2kdecimator/meson.build
index 55cafc5..a5c5db8 100644
--- a/gst/jp2kdecimator/meson.build
+++ b/gst/jp2kdecimator/meson.build
@@ -7,7 +7,7 @@ gstjp2kdecimator = library('gstjp2kdecimator',
   jp2_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/jpegformat/meson.build b/gst/jpegformat/meson.build
index a2889d3..022f60b 100644
--- a/gst/jpegformat/meson.build
+++ b/gst/jpegformat/meson.build
@@ -8,7 +8,7 @@ gstjpegformat = library('gstjpegformat',
   jpegf_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstcodecparsers_dep, gstvideo_dep, gsttag_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstcodecparsers_dep, gstvideo_dep, gsttag_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/librfb/meson.build b/gst/librfb/meson.build
index 256ca7c..319d1e3 100644
--- a/gst/librfb/meson.build
+++ b/gst/librfb/meson.build
@@ -11,7 +11,7 @@ gstrfbsrc = library('gstrfbsrc',
   rfbsrc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc, librfb_incs],
-  dependencies : [gstbase_dep, gstvideo_dep, gio_dep, x11_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gio_dep, x11_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/midi/meson.build b/gst/midi/meson.build
index 8539be9..0f4de14 100644
--- a/gst/midi/meson.build
+++ b/gst/midi/meson.build
@@ -7,7 +7,7 @@ gstmidi = library('gstmidi',
   midi_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gsttag_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mpegdemux/meson.build b/gst/mpegdemux/meson.build
index 1156827..c0da78c 100644
--- a/gst/mpegdemux/meson.build
+++ b/gst/mpegdemux/meson.build
@@ -8,7 +8,7 @@ gstmpedpsdemux = library('gstmpegpsdemux',
   mpegd_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gsttag_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep, gstpbutils_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mpegpsmux/meson.build b/gst/mpegpsmux/meson.build
index 87939aa..ab5ffd6 100644
--- a/gst/mpegpsmux/meson.build
+++ b/gst/mpegpsmux/meson.build
@@ -10,7 +10,7 @@ gstmpegpsmux = library('gstmpegpsmux',
   psmux_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mpegtsdemux/meson.build b/gst/mpegtsdemux/meson.build
index 21d9964..1b8f240 100644
--- a/gst/mpegtsdemux/meson.build
+++ b/gst/mpegtsdemux/meson.build
@@ -11,7 +11,7 @@ gstmpegtsdemux = library('gstmpegtsdemux',
   tsdemux_sources,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc, libsinc],
-  dependencies : [gstcodecparsers_dep, gstmpegts_dep, gsttag_dep,
+  dependencies : [glib_dep, gobject_dep, gstcodecparsers_dep, gstmpegts_dep, gsttag_dep,
                   gstpbutils_dep, gstaudio_dep, gstbase_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/gst/mpegtsmux/meson.build b/gst/mpegtsmux/meson.build
index b80fc2f..140790a 100644
--- a/gst/mpegtsmux/meson.build
+++ b/gst/mpegtsmux/meson.build
@@ -15,7 +15,7 @@ gstmpegtsmux = library('gstmpegtsmux',
   tsmux_sources,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc, libsinc],
-  dependencies : [gstmpegts_dep, gsttag_dep, gstpbutils_dep,
+  dependencies : [glib_dep, gobject_dep, gstmpegts_dep, gsttag_dep, gstpbutils_dep,
                   gstaudio_dep, gstvideo_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/gst/mse/meson.build b/gst/mse/meson.build
index e4ac5e7..4af7f14 100644
--- a/gst/mse/meson.build
+++ b/gst/mse/meson.build
@@ -4,7 +4,7 @@ gstmse_plugin = library('gstmse',
   mse_sources,
   c_args: gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories: [configinc],
-  dependencies : [gstbase_dep, gstmse_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstmse_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mxf/meson.build b/gst/mxf/meson.build
index a7b8775..d1a99df 100644
--- a/gst/mxf/meson.build
+++ b/gst/mxf/meson.build
@@ -27,7 +27,7 @@ gstmxf = library('gstmxf',
   mxf_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/netsim/meson.build b/gst/netsim/meson.build
index 27a5ca4..3788459 100644
--- a/gst/netsim/meson.build
+++ b/gst/netsim/meson.build
@@ -6,7 +6,7 @@ gstnetsim = library('gstnetsim',
   netsim_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/onvif/meson.build b/gst/onvif/meson.build
index 3d7675f..d57da5d 100644
--- a/gst/onvif/meson.build
+++ b/gst/onvif/meson.build
@@ -8,7 +8,7 @@ gstrtponvif = library('gstrtponvif',
   onvif_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstrtp_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/pcapparse/meson.build b/gst/pcapparse/meson.build
index 4cf5254..bf7359d 100644
--- a/gst/pcapparse/meson.build
+++ b/gst/pcapparse/meson.build
@@ -8,7 +8,7 @@ gstpcapparse = library('gstpcapparse',
   capp_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep] + winsock2,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep] + winsock2,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/pnm/meson.build b/gst/pnm/meson.build
index 366e04c..50a3dce 100644
--- a/gst/pnm/meson.build
+++ b/gst/pnm/meson.build
@@ -9,7 +9,7 @@ gstpnm = library('gstpnm',
   pnm_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/proxy/meson.build b/gst/proxy/meson.build
index eb3e835..448b992 100644
--- a/gst/proxy/meson.build
+++ b/gst/proxy/meson.build
@@ -8,7 +8,7 @@ gstproxy = library('gstproxy',
   proxy_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rawparse/meson.build b/gst/rawparse/meson.build
index 62562c5..5556541 100644
--- a/gst/rawparse/meson.build
+++ b/gst/rawparse/meson.build
@@ -8,7 +8,7 @@ gstlegacyrawparse = library('gstlegacyrawparse',
   raw_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/removesilence/meson.build b/gst/removesilence/meson.build
index 998c246..442bb45 100644
--- a/gst/removesilence/meson.build
+++ b/gst/removesilence/meson.build
@@ -7,7 +7,7 @@ gstremovesilence = library('gstremovesilence',
   silence_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rist/meson.build b/gst/rist/meson.build
index 0e3073d..3230666 100644
--- a/gst/rist/meson.build
+++ b/gst/rist/meson.build
@@ -14,7 +14,7 @@ gstrist = library('gstrist',
   rist_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstrtp_dep, gstnet_dep, gio_dep],
+  dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstnet_dep, gio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rtmp2/meson.build b/gst/rtmp2/meson.build
index c812027..f5f358c 100644
--- a/gst/rtmp2/meson.build
+++ b/gst/rtmp2/meson.build
@@ -17,7 +17,7 @@ gstrtmp2 = library('gstrtmp2',
   rtmp2_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rtp/meson.build b/gst/rtp/meson.build
index b56a9f7..f1dd84f 100644
--- a/gst/rtp/meson.build
+++ b/gst/rtp/meson.build
@@ -7,7 +7,7 @@ gst_plugins_rtp_sources = [
 
 gstrtp = library('gstrtpmanagerbad',
   gst_plugins_rtp_sources,
-  dependencies: [gst_dep, gstbase_dep, gstrtp_dep, gstnet_dep, gstcontroller_dep, gio_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstbase_dep, gstrtp_dep, gstnet_dep, gstcontroller_dep, gio_dep],
   include_directories: [configinc],
   install: true,
   c_args: gst_plugins_bad_args,
